cURL
curl --request PATCH \ --url https://api.scholarlysoftware.com/api/v1/departments/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data ' { "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "department", "attributes": { "name": "Computer Science", "label": "Department", "external_id": "DEPT-001", "head_label": "Department Chair" }, "relationships": {} } } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "department", "attributes": { "created_at": "<string>", "updated_at": "<string>", "name": "Computer Science", "label": "Department", "external_id": "DEPT-001", "head_label": "Department Chair", "is_root": true }, "relationships": { "parent": { "links": { "related": "<string>" }, "meta": {} }, "children": { "links": { "related": "<string>" }, "meta": {} }, "department_chairs": { "links": { "related": "<string>" }, "meta": {} } }, "meta": { "children_count": 123, "depth": 123, "root": true } } }
Updates a department’s name following JSON:API specification
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
Show child attributes
department updated